program bgk

  use mod_parametres

  implicit none

  !--- declaration des variables locales -------- !

  !-----------------------------------------------!

  

  !--- donnees (bornes du domaine, donnees initiales)

  !--- maillage en espace
  
  !--- cfl et temps maximum

  !--- allocation des tableaux des quantites macro et initialisation

  !--- maillage en vitesse

  !--- allocation des vitesses et de la fonction de distribution, initialisation

  !--- boucle en temps
  do while (temps<tmax)

     !--- calcul du pas de temps

     !--- affichage ecran du nombre d'iterations et du temps (tous les 100 pas de temps)

     !--- boucle en espace et en vitesse : schema numérique

     !--- mise a jour des quantites macro
     
  end do


  !--- trace des quantites macro au temps final

end program bgk


